godo.Databases.GetStorageAutoscale()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.Databases.GetStorageAutoscale(ctx context.Context, databaseID string) (*godo.DatabaseStorageAutoscale, *godo.Response, error)

Description

GetStorageAutoscale retrieves the storage autoscaling configuration for a database cluster.

This method sends a GET request to /v2/databases/{}/autoscale.

Parameters

databaseID string required

Returns

*godo.DatabaseStorageAutoscale
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.DatabaseStorageAutoscale

DatabaseStorageAutoscale represents the storage autoscaling configuration for a database cluster

Enabled bool

JSON key: enabled

ThresholdPercent *int

Omitted from JSON when empty. JSON key: threshold_percent

IncrementGib *uint64

Omitted from JSON when empty. JSON key: increment_gib

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.Databases.GetStorageAutoscale(ctx, "<your-database-id>")
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

Response Example

Show Response Example
{
  "autoscale": {
    "storage": {
      "enabled": true,
      "threshold_percent": 80,
      "increment_gib": 10
    }
  }
}

More Information

See GET /v2/databases/{}/autoscale in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.